Results 1 to 4 of 4

Thread: ux.desktop with extjs6 classic

  1. #1
    Sencha User
    Join Date
    Aug 2015
    Posts
    2

    Default ux.desktop with extjs6 classic

    Hello,

    how can i include ux.desktop into extjs6 classic?

    In the app.json i have

    "requires": [ "ux" ]

    In the main view i have

    requires: [
    'Ext.ux.desktop'
    ]

    what is wrong with my configuration?

    Thanks!

  2. #2
    Sencha Premium Member
    Join Date
    May 2015
    Posts
    24
    Answers
    3

    Default

    try this:"requires": [ "font-awesome", "ux" ],

  3. #3
    Sencha User
    Join Date
    Mar 2012
    Location
    Lawrence, KS
    Posts
    462
    Answers
    65

    Default

    Also, it looks like your namespace is off. It should be:

    PHP Code:
    Ext.ux.desktop.Desktop 
    As seen here:
    http://docs.sencha.com/extjs/6.0/6.0...esktop.Desktop

    Thanks!
    Greg

  4. #4

    Default

    It is not very explicit. I did the same thing :
    com.sencha.exceptions.ExNotFound: Unknown definition for dependency : Ext.ux.desktop.App

    How you change the namespace?

Similar Threads

  1. Replies: 3
    Last Post: 21 Jul 2015, 9:14 AM
  2. Replies: 4
    Last Post: 7 Jul 2015, 3:48 PM
  3. CDN for ExtJs6
    By jmcolyer in forum Ext JS 6.x Q&A
    Replies: 3
    Last Post: 12 Jun 2015, 1:35 PM
  4. Replies: 0
    Last Post: 13 Apr 2015, 10:57 AM
  5. Replies: 2
    Last Post: 4 Jan 2015, 3:11 AM

Tags for this Thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •